Foxit PDF Conversion SDK

Public Member Functions | List of all members
CFX_UTF8Decoder Class Reference
FXCRT

## Public Member Functions
| CFX_UTF8Decoder (IFX_Allocator *pAllocator=0)
| A constructor. Set the decoder to initial. More...
void | AppendChar (FX_DWORD ch)
| Append characters to wide text buffer. More...
void | Clear ()
| Clear the decoding status and set the output wide text buffer to be empty. More...
void | ClearStatus ()
| Clear the decoding status. More...
CFX_WideStringC | GetResult () const
| Get the result. More...
void | GetResult (CFX_WideStringL &result) const
| Get the result. More...
void | Input (FX_BYTE byte)
| Input a byte. More...

## Detailed Description

The class represents a simple UTF-8 decoder.

## Constructor & Destructor Documentation

## ◆ CFX_UTF8Decoder()

CFX_UTF8Decoder::CFX_UTF8Decoder | ( | IFX_Allocator * | pAllocator = `0` | ) |
| inline

A constructor. Set the decoder to initial.

Parameters

  [in] | pAllocator | An allocator. Default value: NULL.

Returns
  None.

## Member Function Documentation

## ◆ AppendChar()

void CFX_UTF8Decoder::AppendChar | ( | FX_DWORD | ch | ) |

Append characters to wide text buffer.

Parameters

  [in] | ch | The input character.

Returns
  None.

## ◆ Clear()

void CFX_UTF8Decoder::Clear | ( |  | ) |

Clear the decoding status and set the output wide text buffer to be empty.

Returns
  None.

## ◆ ClearStatus()

void CFX_UTF8Decoder::ClearStatus | ( |  | ) |
| inline

Clear the decoding status.

Returns
  None.

## ◆ GetResult() [1/2]

CFX_WideStringC CFX_UTF8Decoder::GetResult | ( |  | ) | const
| inline

Get the result.

Returns
  A wide string.

## ◆ GetResult() [2/2]

void CFX_UTF8Decoder::GetResult | ( | CFX_WideStringL & | result | ) | const
| inline

Get the result.

Parameters

  [out] | result | A wide string to receive the result.

Returns
  None.

## ◆ Input()

void CFX_UTF8Decoder::Input | ( | FX_BYTE | byte | ) |

Input a byte.

Parameters

  [in] | byte | The input byte.

Returns
  None.